Bug 244078 - Document difference, if any, between "gpasswd -r" and "gpasswd -R"
Document difference, if any, between "gpasswd -r" and "gpasswd -R"
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: shadow-utils (Show other bugs)
14
All Linux
low Severity low
: ---
: ---
Assigned To: Peter Vrabec
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-13 13:30 EDT by Matt McCutchen
Modified: 2012-08-16 18:12 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-16 18:12:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matt McCutchen 2007-06-13 13:30:31 EDT
Description of problem:
The difference between "gpasswd -r" and "gpasswd -R", if any, is not clear from
the man page for gpasswd.  I glean from the page that either command makes it so
that members can newgrp to the group but nonmembers cannot, but I'm wondering if
there might be a subtle difference that should be explained.

Version-Release number of selected component (if applicable):
shadow-utils-4.0.17-13.fc6

How reproducible:
Always, at least for me :)

Steps to Reproduce:
1. man gpasswd

Actual results:
The difference between "gpasswd -r" and "gpasswd -R" is not clear.

Expected results:
The man page either explains the difference explicitly or states that there is
no difference.

Additional info:

I tried both commands and found that "gpasswd -r" stores the empty string as the
encrypted group password in /etc/gshadow, while "gpasswd -R" stores "!".  If I
try to newgrp as a nonmember, I am asked for a password with "gpasswd -R" but
get an immediate "Sorry" with "gpasswd -r".  The difference might have other
effects that I'm not aware of.

I also noticed that "gpasswd -r" and "gpasswd -R" also modify the password field
in /etc/group even though /etc/gshadow is in effect.  This is ugly because
groups touched by gpasswd have "" or "!" in /etc/group while all others have "x".
Comment 1 Bug Zapper 2008-04-04 03:24:38 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 2 Bug Zapper 2008-05-06 15:41:20 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 3 Matt McCutchen 2010-03-15 01:19:53 EDT
The problem is the same in Fedora 12.  Resurrecting this bug.
Comment 4 Bug Zapper 2010-11-04 08:10:01 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Matt McCutchen 2010-11-12 18:34:14 EST
The difference is still not documented in shadow-utils-4.1.4.2-8.fc14.
Comment 6 Paul 2011-11-27 21:41:33 EST
Still not documented in shadow-utils-4.1.4.3-10.fc16
Comment 7 Fedora End Of Life 2012-08-16 18:12:31 EDT
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.